Bug 438116 - [sr# 1795478] nautilus/gnome-vfs - Can't move files between different NFS mounts
[sr# 1795478] nautilus/gnome-vfs - Can't move files between different NFS mounts
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gnome-vfs2 (Show other bugs)
5.1
All Linux
low Severity low
: beta
: ---
Assigned To: Tomáš Bžatek
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-19 03:43 EDT by ritz
Modified: 2015-03-03 17:32 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-13 07:09:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 505690 None None None Never

  None (edit)
Description ritz 2008-03-19 03:43:59 EDT
Description of problem:
When trying to move files from one nfs share to another nfs share, Nautilus
shows an error dialog stating "Error "Not on the same file system" while moving
"some_file". Would you like to continue? [Cancel] [Retry]" 

Version-Release number of selected component (if applicable):
nauilus-2.16
gnome-vfs2-2.16

Steps to reproduce:
1. Select a file on an NFS share.
2. Try to move it to a different NFS share (drag & drop, cut & paste, ...).
3. Scratch your head at the error dialog, thinking "Yeah ... so what?".

Actual results:
The error dialog pops up.

Expected results:
The files should simply be moved from one NFS share to the other.

Does this happen every time?
Yes.

Other information:
Copying the files works fine, moving doesn't.


Additional info:
Works fine with gnome 2.8 on RHEL4

Upstream bug - http://bugzilla.gnome.org/show_bug.cgi?id=505690
Comment 1 ritz 2008-03-19 03:48:09 EDT
From what i understand, gnome-vfs is used to move the files from one source to
another. As per gnome-vfs both files ( on different nfs share ) lie on the same
filesystem, and thus gnome-vfs ends up using file module to move.

  file module uses rename to move the file, and ends up with a EXDEV error.
Comment 2 Matthias Clasen 2008-07-07 12:42:55 EDT
Setting devack after feedback from package owner.
Comment 3 RHEL Product and Program Management 2008-07-21 19:04:44 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 5 RHEL Product and Program Management 2009-03-26 13:04:27 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 16 errata-xmlrpc 2010-01-13 07:09:15 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0032.html

Note You need to log in before you can comment on or make changes to this bug.